import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Meteor extends Actor
{
    public void act() 
    {
        this.bewegen();
        if(this.getX() < 1) {
            this.getWorld().removeObject(this);
            return;
        }
        this.checkCollisionBullet();

    }    

    public void bewegen() {
        this.setLocation(this.getX() - 3, this.getY());
    }

    public void checkCollisionBullet() {
        if(this.isTouching(Bullet.class)) {
            Explosion e = new Explosion();
            this.getWorld().addObject(e, this.getX(), this.getY());
            this.getWorld().removeObject(this);
        }
    }
}